require "segurocomar/version"

# entities
require "segurocomar/entity/ad_campaign"
require "segurocomar/entity/art_activity"
require "segurocomar/entity/bicycle_value"
require "segurocomar/entity/car"
require "segurocomar/entity/car_brand"
require "segurocomar/entity/car_version"
require "segurocomar/entity/car_version_price"
require "segurocomar/entity/coverage"
require "segurocomar/entity/insurable_year"
require "segurocomar/entity/insurer"
require "segurocomar/entity/locality"
require "segurocomar/entity/motorcycle"
require "segurocomar/entity/motorcycle_brand"
require "segurocomar/entity/product"
require "segurocomar/entity/province"
require "segurocomar/entity/quote"
require "segurocomar/entity/quote_product"
require "segurocomar/entity/truck"
require "segurocomar/entity/truck_brand"

# core
require "segurocomar/core/art_activities"
require "segurocomar/core/bicycles"
require "segurocomar/core/cars"
require "segurocomar/core/insurance"
require "segurocomar/core/misc"
require "segurocomar/core/motorcycles"
require "segurocomar/core/quotes"
require "segurocomar/core/trucks"
require "segurocomar/api"

# dependencies
require 'rest-client'
require 'singleton'
require 'time'
