module Segurocomar
  module Core
    module ArtActivities
      def get_art_activities(filters={})
        get_request('/art_activities', filters)[:body].map { |r|
          Segurocomar::Entity::ArtActivity.new({
            ciiu: r['ciiu'],
            label: r['name']
          })
        }
      end

      def get_art_activity(ciiu)
        result = get_request("/art_activities/#{ciiu}")[:body]

        if result
          Segurocomar::Entity::ArtActivity.new({
            ciiu: result['ciiu'],
            label: result['name']
          })
        else
          nil
        end
      end

    end
  end
end

