module Segurocomar
  module Core
    module Motorcycles
      def get_motorcycle_brands(attrs={})
        results = get_request('/motorcycle_brands', attrs)

        results[:body].map { |r| Segurocomar::Entity::MotorcycleBrand.new(r) }
      end

      def get_motorcycles(motorcycle_brand_id)
        results = get_request('/motorcycles', { motorcycle_brand_id: motorcycle_brand_id })

        results[:body].map { |r| Segurocomar::Entity::Motorcycle.new(r) }
      end
    end
  end
end

