module Segurocomar
  module Entity
    class Locality
      def self.attr_list
        [:id, :name, :zip_code, :province_id, :province_name, :value]
      end

      attr_reader *attr_list

      def initialize(attributes={})
        attributes.each do |k, v|
          self.send("#{k}=", v) if self.respond_to?(k)
        end
      end

      private

      attr_writer *attr_list
    end
  end
end
