module Segurocomar
  module Entity
    class Quote
      def self.attr_list
        [:id, :code, :created_at, :insurable_kind_code,
          :quote_products, :quoted_insurable, :lead,
          :referral_code, :ad_campaign]
      end

      attr_reader *attr_list

      def initialize(attributes={})
        attributes.each do |k, v|
          self.send("#{k}=", v) if self.respond_to?(k)
        end
      end

      private

      attr_writer *attr_list
    end
  end
end
