module Segurocomar
  module Entity
    class QuoteProduct
      def self.attr_list
        [:id, :product_id, :product_name, :insurer_id, :insurer_name,
         :price, :price_from, :hired, :available, :relative_quotient,
         :absolute_value, :original_price, :discount_rate]
      end

      attr_reader *attr_list

      def initialize(attributes={})
        attributes.each do |k, v|
          self.send("#{k}=", v) if self.respond_to?(k)
        end
      end

      private

      attr_writer *attr_list
    end
  end
end
