module Segurocomar
  module Core
    module Trucks
      def get_truck_brands(attrs={})
        results = get_request('/truck_brands', attrs)

        results[:body].map { |r| Segurocomar::Entity::TruckBrand.new(r) }
      end

      def get_trucks(truck_brand_id)
        results = get_request('/trucks', { truck_brand_id: truck_brand_id })

        results[:body].map { |r| Segurocomar::Entity::Truck.new(r) }
      end
    end
  end
end

