module Segurocomar
  module Entity
    class Product
      def self.attr_list
        [:id, :code, :installments_quantity, :validity, :description, :insurer_id, :insurer_name, :coverages]
      end

      attr_reader *attr_list

      def initialize(attributes={})
        attributes.each do |k, v|
          if k.to_s == 'coverages'
            self.coverages = v.map { |c| Coverage.new(c) }
          elsif self.respond_to?(k)
            self.send("#{k}=", v)
          end
        end
      end

      private

      attr_writer *attr_list
    end
  end
end
